ADDUSER(8)

NOME
adduser, addgroup - aggiunge un utente o un gruppo al sistema

SINTASSI
adduser [options] [--home DIR] [--shell SHELL] [--no-create-home] [--uid ID] [--firstuid ID] [--lastuid ID] [--ingroup GROUP | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] [--add_extra_groups] [--encrypt-home] user

adduser --system [opzioni] [--home DIR] [--shell SHELL] [--no-create-home] [--uid ID] [--group | --ingroup GRUPPO | --gid ID] [--disabled-password] [--disabled-login] [--gecos GECOS] utente

addgroup [opzioni] [--gid ID] gruppo

addgroup --system [opzioni] [--gid ID] gruppo

adduser [opzioni] utente gruppo

  OPZIONI COMUNI
[--quiet] [--debug] [--force-badname] [--help|-h] [--version] [--conf FILE]

DESCRIZIONE

adduser e addgroup aggiungono utenti e gruppi al sistema in base alle opzioni sulla riga di comando e alla configurazione in /etc/adduser.conf. Sono delle interfacce più amichevoli per gli strumenti di basso livello useradd, groupadd e usermod, con la configurazione predefinita scelgono i valori di UID e GID in base alla policy Debian, creano la directory home seguendo uno scheletro della configurazione, permettono di eseguire script personalizzati e hanno molte altre funzionalità. adduser e addgroup possono essere eseguiti in cinque modalità diverse:

  Aggiunta di un utente normale
Se eseguito con un solo argomento e senza le opzioni --system e --group, adduser aggiunge un utente normale. adduser sceglie il primo UID disponibile dall'intervallo specificato nel file di configurazione per gli utenti normali. L'UID può essere scelto forzatamente usando l'opzione --uid. L'intervallo specificato nel file di configurazione può essere ignorato usando le opzioni --firstuid e --lastuid. Normalmente su Debian GNU/Linux a ciascun utente viene assegnato un gruppo con lo stesso nome. USERGROUPS permette di gestire facilmente le directory su cui il gruppo ha il permesso di scrittura, infatti inserisce gli utenti nel nuovo gruppo, attiva il bit set-group-ID sulla directory e assicura che tutti gli utenti abbiano la umask a 002. Se questa opzione è disattivata, cioè il valore di USERGROUPS è no, il valore del GID per tutti i nuovi utenti è USERS_GID. I gruppi primari degli utenti possono anche essere cambiati dalla riga di comando con le opzioni --gid o --ingroup che permettono di impostare rispettivamente l'ID oppure il nome del gruppo. Inoltre gli utenti possono essere aggiunti a uno o più gruppi definiti in adduser.conf, impostando ADD_EXTRA_GROUPS a 1 in adduser.conf oppure usando --add_extra_groups sulla riga di comando. adduser crea le directory home in base ai valori di DHOME, GROUPHOMES e LETTERHOMES. Comunque directory home e shell possono essere forzate usando rispettivamente le opzioni --home e --shell sulla riga di comando. Sulla directory home viene attivato il bit set-group-ID se USERGROUPS ha valore yes, in questo modo tutti i file creati all'interno della directory home dell'utente apparterranno al gruppo corretto. adduser will copy files from SKEL into the home directory and prompt for finger (gecos) information and a password. The gecos may also be set with the --gecos option. With the --disabled-login option, the account will be created but will be disabled until a password is set. The --disabled-password option will not set a password, but login is still possible (for example with SSH RSA keys). To set up an encrypted home directory for the new user, add the --encrypt-home option. For more information, refer to the -b option of ecryptfs-setup-private(1). Se esiste il file /usr/local/sbin/adduser.local, viene eseguito dopo che l'utente è stato creato in modo da applicare qualsiasi impostazione specifica del sistema locale. Gli argomenti passati a adduser.local sono:
nomeutente, uid, gid e directory-home
Il valore della variabile d'ambiente VERBOSE viene impostato in base alle seguenti regole:

0 se è stata usata l'opzione --quiet

1 se non sono state usate le opzioni --quiet e --debug

2 se è stata usata l'opzione --debug
    (Le stesse regole si applicano alla variabile DEBUG, però l'uso di DEBUG è deprecato e sarà rimosso nelle prossime versioni di adduser).

  Aggiunta di un utente di sistema
Se eseguito con un solo argomento e con l'opzione --system, adduser aggiunge un utente di sistema. Se già esiste un utente con lo stesso nome nell'intervallo degli UID di sistema (oppure, se è specificato lo UID, se già esiste un utente con lo stesso UID), adduser esce mostrando un messaggio d'avviso. È possibile non ricevere l'avviso aggiungendo "--quiet". adduser sceglie il primo UID disponibile dall'intervallo specificato nel file di configurazione per gli utenti di sistema (FIRST_SYSTEM_UID e LAST_SYSTEM_UID). Per assegnare un UID specifico, è possibile forzarlo usando l'opzione --uid. Gli utenti di sistema sono inseriti nel gruppo nogroup. Per inserire il nuovo utente di sistema in un gruppo esistente si possono usare le opzioni --gid o --ingroup. Per inserire il nuovo utente di sistema in un nuovo gruppo con lo stesso ID usare l'opzione --group. La directory home è creata secondo le stesse regole degli utenti normali. Il nuovo utente di sistema ha come shell /bin/false (a meno che non sia specificato un valore diverso usando l'opzione --shell) e non può eseguire il login. Lo scheletro dei file di configurazione non viene copiato.

  Aggiunta di un gruppo
Se adduser è richiamato con l'opzione --group e senza l'opzione --system oppure se viene richiamato addgroup, viene aggiunto un gruppo. Il GID verrà scelto all'interno dell'intervallo specificato nel file di configurazione per i GID di sistema (FIRST_GID, LAST_GID). Il GID può essere forzato usando l'opzione --gid. Il gruppo viene creato senza alcun utente al suo interno.

  Aggiunta di un gruppo di sistema
Se addgroup è richiamato con l'opzione --system, viene aggiunto un gruppo di sistema. Il GID verrà scelto all'interno dell'intervallo specificato nel file di configurazione per i GID di sistema (FIRST_SYSTEM_GID, LAST_SYSTEM_GID). Il GID può essere forzato usando l'opzione --gid. Il gruppo viene creato senza alcun utente al suo interno.

  Aggiunta di un utente esistente a un gruppo esistente
Se eseguito con due argomenti che non siano opzioni, adduser aggiunge un utente esistente a un gruppo esistente.

OPZIONI

--conf FILE
    Usa FILE al posto di /etc/adduser.conf.

--disabled-login
    Non esegue passwd per l'impostazione della password. L'utente non potrà usare il proprio account fino a quando non sarà assegnata una password.

--disabled-password
    Simile a --disabled-login però il login è ancora concesso (per esempio tramite SSH con chiavi RSA), ma non tramite l'autenticazione con password.

--force-badname
    By default, user and group names are checked against the configurable regular expression NAME_REGEX (or NAME_REGEX_SYSTEM if --system is specified) specified in the configuration file. This option forces adduser and addgroup to apply only a weak check for validity of the name.

--gecos GECOS
    Imposta il campo gecos per l'elemento appena creato. adduser non richiede le informazioni per finger se viene usata questa opzione.

--gid ID
    Durante la creazione di un gruppo questa opzione forza il nuovo GID al valore passato. Quando viene creato un utente questa opzione aggiunge l'utente al gruppo.

--group
    Quando è usato con --system viene creato un gruppo con lo stesso nome e lo stesso UID dell'utente di sistema. Se invece l'opzione --system non è usata, viene creato un gruppo omonimo. Questo è il comportamento predefinito del programma quando è richiamato come addgroup.

--help
    Mostra le informazioni sull'uso del programma.

--home DIR
    Usa DIR come directory home dell'utente al posto di quella definita nel file di configurazione. Se la directory non esiste viene creata e al suo interno sono copiati i file di scheletro.

--shell SHELL
    Usa SHELL come shell di login per l'utente al posto di quella definita nel file di configurazione.

--ingroup GRUPPO
    Il nuovo utente viene aggiunto al gruppo GRUPPO anziché al gruppo user o al gruppo predefinito dato dal valore di USERS_GID nel file di configurazione. Questo influenza il gruppo primario degli utenti. Per aggiungere l'utente ad altri gruppi, consultare l'opzione add_extra_groups.

--no-create-home
    Non crea la directory home, anche se non esiste.

--quiet
    Nasconde i messaggi informativi, mostra solo avvertimenti ed errori.

--debug
    Mostra più dettagli, utile per approfondire l'analisi di un problema con adduser.

--system
    Crea un utente o un gruppo di sistema.

--uid ID
    Obbliga a usare il valore specificato come nuovo UID. adduser restituisce un errore se l'UID è già usato.

--firstuid ID
    Cambia l'estremo inferiore dell'intervallo da cui sono scelti gli UID (sovrascrive il valore di FIRST_UID specificato nel file di configurazione).

--lastuid ID
    Cambia l'estremo superiore dell'intervallo da cui sono scelti gli UID (LAST_UID).

--add_extra_groups
    Inserisce il nuovo utente ai gruppi aggiuntivi definiti nel file di configurazione.

--version
    Visualizza le informazioni su versione e copyright del programma.

VALORI DI USCITA

0   L'utente specificato esiste. Questo può avere 2 cause: l'utente è stato creato da adduser oppure l'utente era già presente sul sistema prima di richiamare adduser. Se adduser ha restituito 0, una seconda chiamata di adduser con gli stessi parametri restituisce ancora una volta 0.

1   La creazione dell'utente o del gruppo è fallita perché è già presente con un UID/GID diverso da quello specificato. Il nome dell'utente o del gruppo è stato respinto perché non rispetta le espressioni regolari, si veda adduser.conf(5). Adduser è stato interrotto da un segnale.
    Oppure per molti altri motivi non ancora documentati ma che sono stati mostrati sulla console. Per rendere adduser più prolisso è possibile rimuovere l'opzione --quiet.

FILE

/etc/adduser.conf
    File di configurazione predefinito per adduser e addgroup

VEDERE ANCHE
adduser.conf(5), deluser(8), useradd(8), groupadd(8), usermod(8), Debian Policy 9.2.2.

TRADUTTORE
Questa pagina di manuale è stata tradotta da Luca Monducci il 4 febbraio 2006. Se in questa traduzione si riscontrano degli errori, si prega di segnalarli sulla mailing list <debian-l10n-italian@lists.debian.org>

COPYRIGHT
Copyright (C) 1997, 1998, 1999 Guy Maor. Modifiche di Roland Bauerschmidt e Marc Haber. Ulteriori patch di Joerg Hoh e Stephen Gran.
Copyright (C) 1995 Ted Hajek, con un grosso aiuto dal pacchetto adduser originale di Debian
Copyright (C) 1994 Ian Murdock. adduser è software libero; si veda la GNU General Public Licence versione 2 o successiva per le condizioni sulla copia. Non c'è alcuna garanzia.